##
##  nspr.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         nspr
Summary:      Netscape Portable Runtime
URL:          http://www.mozilla.org/projects/nspr/
Vendor:       Mozilla
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Libraries
License:      MPL
Version:      4.37
Release:      20250718

#   list of sources
Source0:      https://archive.mozilla.org/pub/nspr/releases/v%{version}/src/nspr-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, gcc
PreReq:       OpenPKG, openpkg >= 20160101

%description
    NSPR provides platform independence for non-GUI operating
    system facilities. These facilities include threads, thread
    synchronization, normal file and network I/O, interval timing and
    calendar time, basic memory management (malloc and free) and shared
    library linking.

%track
    prog nspr = {
        version   = %{version}
        url       = https://archive.mozilla.org/pub/nspr/releases/
        regex     = v(__VER__)/
    }

%prep
    %setup -q

%build
    mkdir build
    cd build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ../nspr/configure \
        --prefix=%{l_prefix} \
        --enable-optimize \
        --disable-debug \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    (   cd build
        %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    ) || exit $?
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/*.so
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

